import http from '@/api/http';
/**
 * 公众号菜单-列表
 */
export function wechatPlatformMenuList(params: object) {
  return http.get(`/wechatPlatform/menu/list`, params);
}
/**
 * 公众号菜单-详情
 */
export function wechatPlatformMenuDetail(id: number | string, params?: object) {
  return http.get(`/wechatPlatform/menu/detail/${id}`, params);
}
/**
 * 关键字-配置公众号列表
 */
export function wechatPlatformMenuAuthList(
  id: number | string,
  params?: object
) {
  return http.get(`/wechatPlatform/menu/auth_list/${id}`, params);
}

/**
 * 公众号菜单-添加
 */
export function wechatPlatformMenuAdd(params: object) {
  return http.post('/wechatPlatform/menu/add', params);
}
/**
 * 公众号菜单-编辑
 */
export function wechatPlatformMenuEdit(id: number | string, params: object) {
  return http.post(`/wechatPlatform/menu/edit/${id}`, params);
}
/**
 * 公众号菜单-删除
 */
export function wechatPlatformMenuDel(params: object) {
  return http.post(`/wechatPlatform/menu/del`, params);
}
/**
 * 公众号菜单-分配公众号
 */
export function wechatPlatformMenuAllocation(
  id: number | string,
  params: object
) {
  return http.post(`/wechatPlatform/menu/allocation/${id}`, params);
}
