import http from '@/api/http';
/**
 * 提审记录列表
 */
export function videoStockWechatCheckList(params: object) {
  return http.get('/videoStock/wechatCheck/list', params);
}
/**
 * 添加微信提审
 */
export function videoStockWechatCheckAdd(params: object) {
  return http.post('/videoStock/wechatCheck/add', params);
}
/**
 * 一键提审
 */
export function videoStockWechatCheckCheck(params: object) {
  return http.post('/videoStock/wechatCheck/check', params);
}
/**
 * 提审记录-更新
 */
export function videoStockWechatCheckUpdate(params: object) {
  return http.post(`/videoStock/wechatCheck/update`, params);
}
/**
 * 提审记录-删除
 */
export function videoStockWechatCheckDelete(params: object) {
  return http.post(`/videoStock/wechatCheck/delete`, params);
}
/**
 * 同步剧集到微信
 */
export function videoStockWechatCheckVideoSeriesSyncWechat(params: object) {
  return http.post(`/videoStock/wechatCheck/videoSeries/syncWechat`, params);
}
/**
 * 获取微信方的剧集播放链接
 */
export function videoStockWechatCheckVideoSeriesMedialink(params: object) {
  return http.post(`/videoStock/wechatCheck/videoSeries/medialink`, params);
}
